# LeanEngine Node.js SDK

[![Build Status](https://travis-ci.org/leancloud/leanengine-node-sdk.svg?branch=master)](https://travis-ci.org/leancloud/leanengine-node-sdk)

## 安装

```bash
npm install leanengine --save
```

建议使用 Node.js 4.0 以上的版本（可在 `package.json` 中设置 `engines.node` 为 `4.x`）。

## 文档

* 快速入门：<https://leancloud.cn/docs/leanengine_quickstart.html>
* 网站托管开发指南：<https://leancloud.cn/docs/leanengine_webhosting_guide-node.html>
* 云函数开发指南：<https://leancloud.cn/docs/leanengine_cloudfunction_guide-node.html>
* 云引擎命令行工具使用详解：<https://leancloud.cn/docs/leanengine_cli.html>
* API 参考文档：<https://github.com/leancloud/leanengine-node-sdk/blob/master/API.md>

## 项目示例

* 上手示例：<https://github.com/leancloud/node-js-getting-started>
* Todo 列表示例：<https://github.com/leancloud/leanengine-todo-demo>
* 微信公众平台：<https://leancloud.cn/docs/webhosting_weixin.html>
* 微博 OAuth 授权验证：<https://leancloud.cn/docs/webhosting_oauth.html>

## 历史版本

见 [Releases](https://github.com/leancloud/leanengine-node-sdk/releases)

安装早期的 0.x 版本（请尽快 [升级到云引擎 Node.js SDK 1.0](https://leancloud.cn/docs/leanengine-node-sdk-upgrade-1.html)）：

```bash
npm install leanengine@0.x --save
```

## 贡献者

在此表示感谢！

* [filod](https://github.com/filod)

## 许可协议

许可协议: MIT

作者: wchen (wchen@leancloud.rocks)
